Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
/
{automation_id}
/
publish
Publish Automation
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations/{automation_id}/publish \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "automation_id": "<string>",
      "definition": {},
      "published_at": "2023-11-07T05:31:56Z",
      "published_by": "<string>",
      "version_int": 123
    },
    "id": "<string>",
    "type": "automation_versions"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
automation_id
string
required

Response

Successful Response

data
AutomationVersionResource · object
required